Package org.eclipse.microprofile.rest.client.tck

# Interface EntityPartTest.FileManagerClient

All Superinterfaces:
  `AutoCloseable`

Enclosing class:
  EntityPartTest

@Consumes("multipart/form-data") @Produces("multipart/form-data") public static interface EntityPartTest.FileManagerClient extends AutoCloseable

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`uploadFile(List<jakarta.ws.rs.core.EntityPart> entityParts)`

### Methods inherited from interface java.lang.AutoCloseable

`close`

## Method Details

### uploadFile

@POST @Path("upload") jakarta.ws.rs.core.Response uploadFile(List<jakarta.ws.rs.core.EntityPart> entityParts) throws IOException

Throws:
  `IOException`